R_GET_BYTES_READABLE(3)

FUNCTION
r_get_bytes_readable - Get bytes readable on a connection.

SYNOPSIS
#include <karma_r.h>

int r_get_bytes_readable

(int connection)

DESCRIPTION
This routine will determine the minimum number of bytes readable on a connection. There may be more bytes readable than indicated.

connection
    The connection.

RETURN VALUE
The number of bytes readable on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/